InMemoryFileSystem (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.fs
Class InMemoryFileSystem

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.hadoop.fs.FileSystem
              org.apache.hadoop.fs.FilterFileSystem
                  org.apache.hadoop.fs.ChecksumFileSystem
                      org.apache.hadoop.fs.InMemoryFileSystem

All Implemented Interfaces:
  Closeable, Configurable

Deprecated.

    @Deprecated
    public class InMemoryFileSystem

extends ChecksumFileSystem

An implementation of the in-memory filesystem. This implementation assumes that the file lengths are known ahead of time and the total lengths of all the files is below a certain number (like 100 MB, configurable). Use the API reserveSpaceWithCheckSum(Path f, int size) (see below for a description of the API for reserving space in the FS. The uri of this filesystem starts with ramfs:// .

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.fs.FileSystem
`FileSystem.Statistics`

Field Summary

Fields inherited from class org.apache.hadoop.fs.FilterFileSystem
`fs`

Fields inherited from class org.apache.hadoop.fs.FileSystem
`FS_DEFAULT_NAME_KEY, LOG, statistics`

Constructor Summary
`InMemoryFileSystem()` Deprecated.
`InMemoryFileSystem(URI uri, Configuration conf)` Deprecated.

Method Summary
`Path[]` | `getFiles(PathFilter filter)` Deprecated.
`long` | `getFSSize()` Deprecated.
`int` | `getNumFiles(PathFilter filter)` Deprecated.
`float` | `getPercentUsed()` Deprecated.
`boolean` | `reserveSpaceWithCheckSum(Path f, long size)` Deprecated. Register a file with its size.

Methods inherited from class org.apache.hadoop.fs.ChecksumFileSystem
`append, completeLocalOutput, copyFromLocalFile, copyToLocalFile, copyToLocalFile, create, createNonRecursive, delete, getApproxChkSumLength, getBytesPerSum, getChecksumFile, getChecksumFileLength, getChecksumLength, getRawFileSystem, isChecksumFile, listStatus, mkdirs, open, rename, reportChecksumFailure, setConf, setReplication, setVerifyChecksum, startLocalOutput`

Methods inherited from class org.apache.hadoop.fs.FilterFileSystem
`checkPath, close, concat, delete, getCanonicalServiceName, getConf, getDefaultBlockSize, getDefaultReplication, getFileBlockLocations, getFileChecksum, getFileStatus, getHomeDirectory, getName, getUri, getWorkingDirectory, initialize, makeQualified, mkdirs, setOwner, setPermission, setWorkingDirectory`

Methods inherited from class org.apache.hadoop.fs.FileSystem
`addFileSystemForTesting, append, append, clearStatistics, closeAll, closeAllForUGI, copyFromLocalFile, copyFromLocalFile, copyFromLocalFile, copyToLocalFile, create, create, create, create, create, create, create, create, create, create, createNewFile, createNonRecursive, deleteOnExit, exists, get, get, get, getAllStatistics, getBlockSize, getCacheSize, getCanonicalUri, getContentSummary, getDefaultBlockSize, getDefaultPort, getDefaultReplication, getDefaultUri, getDelegationToken, getLength, getLocal, getNamed, getReplication, getStatistics, getStatistics, getUsed, globStatus, globStatus, isDirectory, isFile, listStatus, listStatus, listStatus, mkdirs, moveFromLocalFile, moveFromLocalFile, moveToLocalFile, open, printStatistics, processDeleteOnExit, setDefaultUri, setDefaultUri, setTimes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InMemoryFileSystem

    public InMemoryFileSystem()

  Deprecated.

### InMemoryFileSystem

    public InMemoryFileSystem(URI uri,
                              Configuration conf)

  Deprecated.

Method Detail

### reserveSpaceWithCheckSum

    public boolean reserveSpaceWithCheckSum(Path f,
                                            long size)

  Deprecated.
  Register a file with its size. This will also register a checksum for the file that the user is trying to create. This is required since none of the FileSystem APIs accept the size of the file as argument. But since it is required for us to apriori know the size of the file we are going to create, the user must call this method for each file he wants to create and reserve memory for that file. We either succeed in reserving memory for both the main file and the checksum file and return true, or return false.

### getFiles

    public Path[] getFiles(PathFilter filter)

  Deprecated.

### getNumFiles

    public int getNumFiles(PathFilter filter)

  Deprecated.

### getFSSize

    public long getFSSize()

  Deprecated.

### getPercentUsed

    public float getPercentUsed()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation